package com.liquidnet.common.third.xuper.dto;

import com.baidu.xasset.client.base.BaseDef;
import com.baidu.xasset.client.xasset.XassetDef;
import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 获取访问BOS临时STS凭证
 * @class: Xuper001GetStokenRespDto
 * @Package com.liquidnet.common.third.xuper.dto
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/18 15:10
 */
@Data
public class XuperUploadFileRespDto {
    public String link;
    public XassetDef.GetStokenResp resp;
    public BaseDef.RequestRes res;

    private static final XuperUploadFileRespDto obj = new XuperUploadFileRespDto();
    public static XuperUploadFileRespDto getNew() {
        try {
            return (XuperUploadFileRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new XuperUploadFileRespDto();
        }
    }
}
